<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gomoku: Référence de la classe Plateau</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gomoku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="class_plateau-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe Plateau</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_plateau_8hpp_source.html">Plateau.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:a07026170529dd928238ee45de0a797d7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_plateau.html#a07026170529dd928238ee45de0a797d7">Plateau</a> ()</td></tr>
<tr class="separator:a07026170529dd928238ee45de0a797d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a4fbd18042b9d89a8e4e8e46aea0f25"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_plateau.html#a0a4fbd18042b9d89a8e4e8e46aea0f25">setPionAt</a> (int x, int y, <a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a> couleur)</td></tr>
<tr class="separator:a0a4fbd18042b9d89a8e4e8e46aea0f25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1e2153e5ea741119012fd01ab4677dd"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="class_point.html">Point</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_plateau.html#ab1e2153e5ea741119012fd01ab4677dd">getPionAt</a> (int x, int y) const</td></tr>
<tr class="separator:ab1e2153e5ea741119012fd01ab4677dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a389352cb35c9b69d047450810f523d8a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_plateau.html#a389352cb35c9b69d047450810f523d8a">coupAutorise</a> (int x, int y)</td></tr>
<tr class="separator:a389352cb35c9b69d047450810f523d8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cb087d154a06586b63e9664fe777197"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_plateau.html#a1cb087d154a06586b63e9664fe777197">afficher</a> () const</td></tr>
<tr class="separator:a1cb087d154a06586b63e9664fe777197"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73c386076bce288714410059e5308abc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_plateau.html#a73c386076bce288714410059e5308abc">reinit</a> ()</td></tr>
<tr class="separator:a73c386076bce288714410059e5308abc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a831ab782ef48c2cd5b25af9bd07f7306"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_plateau.html#a831ab782ef48c2cd5b25af9bd07f7306">checkVertical</a> ()</td></tr>
<tr class="separator:a831ab782ef48c2cd5b25af9bd07f7306"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ddb18540b78d801c6297b7769cbeb21"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_plateau.html#a8ddb18540b78d801c6297b7769cbeb21">checkHorizontal</a> ()</td></tr>
<tr class="separator:a8ddb18540b78d801c6297b7769cbeb21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7efae1b55ca65e8e87da45920761ed0c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_plateau.html#a7efae1b55ca65e8e87da45920761ed0c">checkDiagonale</a> (int x, int y)</td></tr>
<tr class="separator:a7efae1b55ca65e8e87da45920761ed0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e6ae72e4d7e9923f996c1247e6a6c8b"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_plateau.html#a0e6ae72e4d7e9923f996c1247e6a6c8b">~Plateau</a> ()</td></tr>
<tr class="separator:a0e6ae72e4d7e9923f996c1247e6a6c8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="a07026170529dd928238ee45de0a797d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07026170529dd928238ee45de0a797d7">&#9670;&nbsp;</a></span>Plateau()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Plateau::Plateau </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialise un plateau vide de 19 lignes et 19 colonnes. </p>

</div>
</div>
<a id="a0e6ae72e4d7e9923f996c1247e6a6c8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e6ae72e4d7e9923f996c1247e6a6c8b">&#9670;&nbsp;</a></span>~Plateau()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Plateau::~Plateau </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="a1cb087d154a06586b63e9664fe777197"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1cb087d154a06586b63e9664fe777197">&#9670;&nbsp;</a></span>afficher()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Plateau::afficher </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Affiche le plateau dans le terminal sous la forme d'une grille de 0,1,2. 0 - Vide 1 - Blanc 2 - Noir </p>

</div>
</div>
<a id="a7efae1b55ca65e8e87da45920761ed0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7efae1b55ca65e8e87da45920761ed0c">&#9670;&nbsp;</a></span>checkDiagonale()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Plateau::checkDiagonale </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Détecte une victoire en diagonal. </p><dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>Ligne du pion dernièrement posé </td></tr>
    <tr><td class="paramname">y</td><td>Colonne du pion dernièrement posé </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>True si 5 pions sont alignés. False le cas échéant. </dd></dl>

</div>
</div>
<a id="a8ddb18540b78d801c6297b7769cbeb21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ddb18540b78d801c6297b7769cbeb21">&#9670;&nbsp;</a></span>checkHorizontal()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Plateau::checkHorizontal </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Détecte une victoire en horizontal. </p><dl class="section return"><dt>Renvoie</dt><dd>True si 5 pions sont alignés. False le cas échéant. </dd></dl>

</div>
</div>
<a id="a831ab782ef48c2cd5b25af9bd07f7306"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a831ab782ef48c2cd5b25af9bd07f7306">&#9670;&nbsp;</a></span>checkVertical()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Plateau::checkVertical </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Détecte une victoire en vertical. </p><dl class="section return"><dt>Renvoie</dt><dd>True si 5 pions sont alignés. False le cas échéant. </dd></dl>

</div>
</div>
<a id="a389352cb35c9b69d047450810f523d8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a389352cb35c9b69d047450810f523d8a">&#9670;&nbsp;</a></span>coupAutorise()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Plateau::coupAutorise </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Vérifie que le coup en cours est autorisé ou non. Un coup autorisé correspond à :</p><ul>
<li>Un choix de coup à porter dans la limite des dimensions du plateau.</li>
<li>Un choix de coup à porter sur une case vide.</li>
<li>Un choix de coup à porter autour d'autres pions (doit être relié par l'une des 8 intersections). <dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>Numéro de ligne </td></tr>
    <tr><td class="paramname">y</td><td>Numéro de colonne </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>True si le coup est correct. False le cas échéant. </dd></dl>
</li>
</ul>

</div>
</div>
<a id="ab1e2153e5ea741119012fd01ab4677dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab1e2153e5ea741119012fd01ab4677dd">&#9670;&nbsp;</a></span>getPionAt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="class_point.html">Point</a> * Plateau::getPionAt </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Récupère le pion placé aux coordonnées passées en parametre. </p><dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>Numéro de la ligne. </td></tr>
    <tr><td class="paramname">y</td><td>Numéro de la colonne. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Le pion à la ligne x et la colonne y. </dd></dl>

</div>
</div>
<a id="a73c386076bce288714410059e5308abc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73c386076bce288714410059e5308abc">&#9670;&nbsp;</a></span>reinit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Plateau::reinit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Vide le plateau au lancement d'une nouvelle partie. </p>

</div>
</div>
<a id="a0a4fbd18042b9d89a8e4e8e46aea0f25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a4fbd18042b9d89a8e4e8e46aea0f25">&#9670;&nbsp;</a></span>setPionAt()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Plateau::setPionAt </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_couleur_8hpp.html#aa304d0ca681f782b1d7735da33037dd7">Couleur</a>&#160;</td>
          <td class="paramname"><em>couleur</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Place un pion aux coordonnées passées en parametre. </p><dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>Numéro de la ligne. </td></tr>
    <tr><td class="paramname">y</td><td>Numéro de la colonne. </td></tr>
    <tr><td class="paramname">couleur</td><td>La couleur du pion. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir des fichiers suivants :<ul>
<li>src/<a class="el" href="_plateau_8hpp_source.html">Plateau.hpp</a></li>
<li>src/<a class="el" href="_plateau_8cpp.html">Plateau.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
